// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#include "SCW_UBehaviorTree.h"
#include "BehaviorTree/BehaviorTree.h"
#include "SourcifyCoreUEWrapperModule.h"

using namespace Sourcify;

SCW_UBehaviorTree::SCW_UBehaviorTree(UBehaviorTree* InBehaviorTree) : SCW_UObject(InBehaviorTree), BehaviorTree(InBehaviorTree)
{

}

UBehaviorTree* SCW_UBehaviorTree::ToUBehaviorTree() const
{
	return BehaviorTree;
}

ISCW_UBehaviorTreePtr SCW_UBehaviorTree::ToUBehaviorTreePtr()
{
	return GetSharedThisAs<SCW_UBehaviorTree>();
}

ISCW_UBehaviorTreeConstPtr SCW_UBehaviorTree::ToUBehaviorTreePtr() const
{
	return GetSharedThisAs<SCW_UBehaviorTree>();
}